%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	System load plugin for the Xfce panel
Name:		xfce4-systemload-plugin
Version:	1.1.1
Release:	%mkrel 2
License:	BSD
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-systemload-plugin
Source0:	http://archive.xfce.org/src/panel-plugins/xfce4-systemload-plugin/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfce4ui-1)
BuildRequires:	pkgconfig(libxfce4panel-1.0)
Requires:	xfce4-panel >= 4.8

%description
A system load panel plugin for the Xfce Desktop Environment.

%prep
%setup -q
%apply_patches

%build
%configure2_5x
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc README ChangeLog AUTHORS
%{_libdir}/xfce4/panel/plugins/libsystemload.so
%{_datadir}/xfce4/panel/plugins/systemload.desktop


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.1.1-2.mga3
+ Revision: 386867
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 30 2012 wally <wally> 1.1.1-1.mga3
+ Revision: 265353
- new version 1.1.1

* Fri Jun 29 2012 wally <wally> 1.1.0-2.mga3
+ Revision: 265083
- add patch from upstream git to use transparency (mga#6620, xfce#8891)

* Mon May 28 2012 wally <wally> 1.1.0-1.mga3
+ Revision: 248593
- new version 1.1.0
- clean .spec

* Tue Jan 03 2012 wally <wally> 1.0.0-3.mga2
+ Revision: 190068
- rebuild for new xfce4-panel

* Sat Feb 19 2011 ahmad <ahmad> 1.0.0-2.mga1
+ Revision: 54187
- imported package xfce4-systemload-plugin

